Package logsparser :: Module normalizer :: Class PatternExample

[frames] | no frames]

# Class PatternExample

source code

    object --+
             |
            PatternExample

Represents an log sample matching a given pattern. expected_tags is a dictionary of tag names -> values that should be obtained after the normalization of this sample.

Instance Methods

__init__(self, raw_line, expected_tags=`{``}`, description=`{``}`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

get_description(self, language=`'``en``'`) @return : An example description | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, raw_line, expected_tags=`{``}`, description=`{``}`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)